Host form doesn't update properly on hostgroup/taxonomy change

09/08/2019 09:44 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Host creation   

Target version: 1.23.0   

Difficulty:  Fixed in Releases: 1.22.2, 1.23.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7023,

https://github.com/theforeman/foreman/p

ull/7026

  

Description

With ansible plugin enabled host form doesn't update properly after `update_form()` call.

This is caused by ansible roles switcher having inner form tags.

This cause script tags evaluation not being handled properly.

Related issues:

Related to Foreman - Bug #27764: VM tab on create host has storage section mi... Closed

Related to Foreman - Bug #27391: Discrepancy in default memory size for virtu... Closed

Associated revisions

Revision 16976e1e - 09/09/2019 02:05 PM - Ondřej Ezr

Fixes #27764, #27798, #27391 - host form update on change

History

#1 - 09/08/2019 09:46 PM - Ondřej Ezr

- Description updated

#2 - 09/08/2019 09:56 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7023 added

#3 - 09/09/2019 07:43 AM - Tomer Brisker

- Target version set to 1.23.0

#4 - 09/09/2019 08:59 AM - Ondřej Ezr

- Related to Bug #27764: VM tab on create host has storage section missing when provider selected through hostgroup added

#5 - 09/09/2019 01:55 PM - Ondřej Ezr

- Related to Bug #27391: Discrepancy in default memory size for virtual machine while provisioning vm added

#6 - 09/09/2019 02:06 PM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#7 - 09/09/2019 02:16 PM - Tomer Brisker

- Fixed in Releases 1.23.0 added

- Fixed in Releases deleted (1.24.0)
#8 - 09/09/2019 03:01 PM - Ondřej Ezr

- Status changed from Ready For Testing to Closed

Applied in changeset 16976e1ea63019ae03cc02e9c6818bce483e99c3.

#9 - 09/10/2019 06:24 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/7026 added

#10 - 09/10/2019 07:19 AM - Tomer Brisker

- Fixed in Releases 1.22.2 added
